Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFWlstoreArchiveRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean, WLDFArchiveRuntimeMBean

public interface WLDFWlstoreArchiveRuntimeMBean
extends WLDFArchiveRuntimeMBean

Use this interface to retrieve statistical information associated with WLDF archives that use WebLogic Store for data storage.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getDeletionCount()` Number of records deleted since the server was started.
`long` | `getDeletionTime()` Cumulative time, in milliseconds, spent to delete records since the server was started.
`int` | `getIndexPageCount()` Number of index pages.
`long` | `getInsertionCount()` Number of records created since the server was started.
`long` | `getInsertionTime()` Cumulative time, in milliseconds, spent to insert records since the server was started.

Methods inherited from interface weblogic.management.runtime.WLDFArchiveRuntimeMBean
`getRecordRetrievalTime, getRecordSeekCount, getRecordSeekTime, getRetrievedRecordCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDeletionCount

    public long getDeletionCount()

  Number of records deleted since the server was started.

  Returns:
    Number of records deleted

### getDeletionTime

    public long getDeletionTime()

  Cumulative time, in milliseconds, spent to delete records since the server was started.

  Returns:
    Cumulative time spent to delete records

### getIndexPageCount

    public int getIndexPageCount()

  Number of index pages.

  Returns:
    Number of index pages

### getInsertionCount

    public long getInsertionCount()

  Number of records created since the server was started.

  Returns:
    Number of records

### getInsertionTime

    public long getInsertionTime()

  Cumulative time, in milliseconds, spent to insert records since the server was started.

  Returns:
    Cumulative time spent to insert records

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD